ScatterPlotProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.ScatterPlotProperties,ScatterPlotProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class ScatterPlotProperties

    java.lang.Object
      |
      +--org.jCharts.properties.ChartTypeProperties
            |
            +--org.jCharts.properties.AxisChartTypeProperties
                  |
                  +--org.jCharts.properties.ScatterPlotProperties

All Implemented Interfaces:
  HTMLTestable

public final class ScatterPlotProperties
extends AxisChartTypeProperties

Field Summary
`static java.awt.Stroke` | `DEFAULT_LINE_STROKE`
`private java.awt.Stroke[]` | `lineStrokes`
`private java.awt.Shape[]` | `shapes`

Fields inherited from class org.jCharts.properties.AxisChartTypeProperties
``

Constructor Summary
`ScatterPlotProperties(java.awt.Stroke[] lineStrokes, java.awt.Shape[] shapes)` Constructor

Method Summary
`java.awt.Stroke[]` | `getLineStrokes()`
`java.awt.Shape[]` | `getShapes()`
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` | `validate(IAxisPlotDataSet iAxisPlotDataSet)` Validates the properties.

Methods inherited from class org.jCharts.properties.AxisChartTypeProperties
`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LINE_STROKE

    public static final java.awt.Stroke DEFAULT_LINE_STROKE

### lineStrokes

    private java.awt.Stroke[] lineStrokes

### shapes

    private java.awt.Shape[] shapes

Constructor Detail

### ScatterPlotProperties

    public ScatterPlotProperties(java.awt.Stroke[] lineStrokes,
                                 java.awt.Shape[] shapes)

  Constructor

Parameters:
  `lineStrokes` -
  `shapes` - if any of the shapes are NULL, they will not be drawn. If the passed Array is NULL, no shpaes will be drawn. There are some Shapes defined in PointChartProperties Object.

Method Detail

### getLineStrokes

    public java.awt.Stroke[] getLineStrokes()

### getShapes

    public java.awt.Shape[] getShapes()

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Parameters:
    `htmlGenerator` -

### validate

    public void validate(IAxisPlotDataSet iAxisPlotDataSet)
                  throws PropertyException

  Validates the properties.

  Specified by:
    `validate` in class `AxisChartTypeProperties`
  Parameters:
    `iAxisPlotDataSet` -
  Throws:
    `PropertyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD